## texlive-bin 2013.20130529.30792

=== debian/changelog ===
texlive-bin (2013.20130529.30792-1ubuntu1) saucy; urgency=low

  * Import metapost bugfix release 1.803 to fix crash and bad font rendering
    in lilypond (LP: #1243777)
  * Update pmpost correspondingly (backport from Debian)

 -- Iain Lane <iain.lane@canonical.com>  Fri, 25 Oct 2013 11:55:18 +0100

texlive-bin (2013.20130529.30792-1build2) saucy; urgency=low

  * No-change rebuild for new poppler ABIs

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 30 Jul 2013 17:02:46 +0000

texlive-bin (2013.20130529.30792-1build1) saucy; urgency=low

  * Rebuild with the new poppler soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 30 May 2013 15:31:13 +0200

texlive-bin (2013.20130529.30792-1) unstable; urgency=low

  * remove dependency on ed, seems not needed anymore (Closes: #546938)
  * fix encoding of mendex man page (new b-d on recode) (Closes: #702202)
  * fix strange output in tex.1 (Closes: #663157)
  * upstream fixes (already in earlier TL2013 versions)
    - xdvi now without libt1 (Closes: #668415)
    - xdvi reacts on horizontal scroll events (Closes: #235757, #131338)
    - dvips does not crash on input == output (Closes: #703212)
  * upstream fix to luatex libio

 -- Norbert Preining <preining@debian.org>  Wed, 29 May 2013 10:05:32 +0900

texlive-bin (2013.20130523.30626-1) unstable; urgency=low

  * update pmpost patch to fix png/svg output, thanks to Akira Kakuto
    (Closes: #709273)
  * disable ttf2pk and enable ttf2pk2, this allows us to get rid
    of unsupported libfreetype(1), thanks again to Ondřej Surý.
  * new upstream: remove biber binaries (Closes: #709274)
  * fix postinst so that formats are again rebuild
  * remove lintian-overrides, not needed anymore

 -- Norbert Preining <preining@debian.org>  Thu, 23 May 2013 09:42:24 +0900

texlive-bin (2013.20130522.30620-1) unstable; urgency=low

  * remove libgd and t1lib copies by removing the need to configure
    these libraries at all (Closes: #709145, #709146)
    Thanks Ondřej Surý <ondrej@debian.org> for providing the patch.
  * build with system zzlib and ice, remove embedded copies
  * remove copies of cairo, pixman which are already unused
  * re-include pmpost building, thanks to Akira Kakuto and
    Hironori Kitagawa

 -- Norbert Preining <preining@debian.org>  Wed, 22 May 2013 10:07:27 +0900

texlive-bin (2013.20130521.30601-1) unstable; urgency=low

  * break against old TeX Live and update search path (Closes: #709025)
  * reenable in-tree libgd usage: after the libtiff4 vs libtiff5 chaos
    has been fixed (in libgd?) it will be disabled again

 -- Norbert Preining <preining@debian.org>  Tue, 21 May 2013 11:14:15 +0900

texlive-bin (2013.20130516.30500-1) unstable; urgency=low

  * new upstram checkout
  * disable pmpost, no build support at the moment

 -- Norbert Preining <preining@debian.org>  Thu, 16 May 2013 18:21:52 +0900

texlive-bin (2012.20130315.29398-1) experimental; urgency=low

  * import new upstream, add svn rev number as last version component
  * add Vcs-fields (Closes: #695054)
  * bump texlive-common dependency to 2012.20130315
  * disable building texdoctk, fully build out of texlive-base

 -- Norbert Preining <preining@debian.org>  Sat, 16 Mar 2013 09:53:14 +0900

texlive-bin (2012.20121124-1) experimental; urgency=low

  * depend on texlive-common >= 2012.20121120 to prohibit partial
    update of only texlive-binaries (Closes: #694126)

 -- Norbert Preining <preining@debian.org>  Sun, 25 Nov 2012 14:22:09 +0900

texlive-bin (2012.20121120-1) experimental; urgency=low

  * new upstream build

 -- Norbert Preining <preining@debian.org>  Tue, 20 Nov 2012 17:57:16 +0900

=== debian/control ===
Source: texlive-bin
Section: tex
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Norbert Preining <preining@debian.org>, Frank Küster <frank@kuesterei.ch>
Build-Depends: debhelper (>= 7.0.50~), sharutils, libncurses5-dev | libncurses-dev, libxaw7-dev, libpng-dev, zlib1g-dev | libz-dev, flex, bison, libpoppler-private-dev (>= 0.12.4), libfontconfig1-dev, dh-autoreconf, time, libgraphite2-dev, libgs-dev, libcairo2-dev (>= 1.12), libpixman-1-dev (>= 0.18), libzzip-dev (>= 0.12), libicu-dev, recode
Standards-Version: 3.9.3
Homepage: http://www.tug.org/texlive/
Vcs-Git: git://anonscm.debian.org/debian-tex/texlive-bin.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-tex/texlive-bin.git

Package: texlive-binaries
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, tex-common (>= 3), perl, dpkg (>= 1.15.4) | install-info
Recommends: texlive-base, luatex, python, ruby, wish
Replaces: texlive-metapost (<< 2010), texlive-base (<< 2010), ptex-bin, mendexk, jmpost
Conflicts: mendexk, makejvf, jmpost
Breaks: texlive-base (<< 2013), jtex-bin, multex-bin
Provides: texlive-base-bin, makejvf, mendexk, jmpost
Description: Binaries for TeX Live
 This package contains all the binaries of TeX Live packages.
 .
 Note that this package alone has hardly any functionality.  Rather,
 choose the texlive-* packages you want to use, e.g.
 texlive-latex-recommended or context

Package: libkpathsea6
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: texlive-binaries (<< 2013), texlive-base (<< 2013)
Description: TeX Live: path search library for TeX (runtime part)
 This package contains the runtime part of the Kpathsea[rch] library,
 which implements generic path searching, configuration, and
 TeX-specific file searching.

Package: libkpathsea-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libkpathsea6 (= ${binary:Version}), ${shlibs:Depends}
Description: TeX Live: path search library for TeX (development part)
 This package contains the static library and header files for the
 Kpathsea[rch] library, which implements generic path searching,
 configuration, and TeX-specific file searching.

Package: libptexenc1
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: TeX Live: pTeX encoding library
 library for encoding support in pTeX, a Japanese TeX engine.

Package: libptexenc-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libptexenc1 (= ${binary:Version}), ${shlibs:Depends}
Description: TeX Live: ptex encoding library (development part)
 This package contains the static library and header files for the
 ptexenc library, a library for encoding support in pTeX, a Japanese
 TeX engine.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file for texlive-bin

export SHELL=/bin/bash
export CONFIG_SHELL=/bin/sh
#
# since we are reautoconf-ing with old version of auto*, we need
# to make sure that the 1.12.3+ variables AM_V_P are defined
export AM_V_P=false

DEB_HOST_ARCH     ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

ifeq ($(DEB_HOST_ARCH), alpha)
  export LDFLAGS = -Wl,--no-relax
endif

#
# it seems that ARM metafont segfaults due to a problem with armhf's malloc
# see Debian bug #678604
# Building in arm mode helps
#
ifeq ($(DEB_HOST_ARCH), armhf)
  export CFLAGS = -marm
endif

# warning: if the --with autoreconf is removed then
# the patch debian/patches/debian-no-linked-scripts
# must be adapted to also patch the Makefile.in!

%:
	dh $@ --with autoreconf --builddirectory Work

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr 	\
	--datarootdir=/usr/share/texlive	\
	--disable-native-texlive-build		\
	--disable-largefile			\
	--disable-missing			\
	--with-banner-add=/Debian		\
	--enable-shared				\
	--with-system-zlib			\
	--with-system-libpng			\
	--with-system-zzlib			\
	--with-system-freetype2			\
	--with-system-xpdf			\
	--with-system-poppler			\
	--with-system-graphite2			\
	--with-system-libgs			\
	--with-system-cairo 			\
	--with-system-pixman			\
	--with-system-zziplib			\
	--with-system-icu			\
	--with-freetype2-include=/usr/include/freetype2 \
	--with-x				\
	--with-mf-x-toolkit			\
	--with-xdvi-x-toolkit=xaw		\
	--disable-lcdf-typetools		\
	--disable-biber				\
	--disable-dvipng			\
	--disable-musixflx			\
	--disable-ps2eps			\
	--disable-psutils			\
	--disable-luatex			\
	--disable-t1utils			\
	--disable-cjkutils			\
	--disable-chktex			\
	--disable-dvidvi			\
	--disable-lacheck			\
	--disable-tex4htk			\
	--disable-pmx				\
	--disable-m-tx				\
	--disable-texdoctk			\
	--disable-ttf2pk			\
	--enable-ttf2pk2			\
	--enable-ipc				

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/tmp

override_dh_install:
	dh_install --sourcedir=$(CURDIR)/debian/tmp
	# remove texlive directories, they should not be shipped here
	rm -rf debian/texlive-binaries/usr/share/texlive
	# remove wrongly added info/dir.gz
	rm -f debian/texlive-binaries/usr/share/info/dir*
	rm debian/texlive-binaries/usr/share/man/man1/latex.1*
	rm debian/texlive-binaries/usr/share/man/man1/pdflatex.1*
	rm debian/texlive-binaries/usr/share/man/man1/lamed.1*
	rm debian/texlive-binaries/usr/share/man/man1/eplain.1*
	rm debian/texlive-binaries/usr/share/man/man1/amstex.1*
	# fix EUCJ encoding of mendex.1
	recode EUC-JP..UTF8 debian/texlive-binaries/usr/share/man/man1/mendex.1
	# for alternatives treatment we rename usr/bin/bibtex to
	# usr/bin/bibtex.original
	mv debian/texlive-binaries/usr/bin/bibtex \
	   debian/texlive-binaries/usr/bin/bibtex.original
	mv debian/texlive-binaries/usr/share/man/man1/bibtex.1 \
	   debian/texlive-binaries/usr/share/man/man1/bibtex.original.1

override_dh_installdocs:
	dh_installdocs
	dh_installdocs -plibptexenc1 -plibptexenc-dev \
		texk/ptexenc/COPYRIGHT texk/ptexenc/README
	dh_installdocs -plibkpathsea6 -plibkpathsea-dev \
		texk/kpathsea/AUTHORS texk/kpathsea/BUGS \
		texk/kpathsea/NEWS texk/kpathsea/PROJECTS \
		texk/kpathsea/README

override_dh_installchangelogs:
	dh_installchangelogs
	dh_installchangelogs -plibkpathsea6 -plibkpathsea-dev \
		texk/kpathsea/ChangeLog
	dh_installchangelogs -plibptexenc1 -plibptexenc-dev \
		texk/ptexenc/ChangeLog

override_dh_compress:
	dh_compress -X.pdf

override_dh_makeshlibs:
	dh_makeshlibs -plibkpathsea6
	dh_makeshlibs -plibptexenc1

override_dh_shlibdeps:
	dh_shlibdeps \
		-l debian/libkpathsea6/usr/lib \
		-l debian/libptexenc1/usr/lib

override_dh_clean:
	dh_clean -X.orig

## texlive-bin 2013.20130729.30972

=== extra/epstopdf/Makefile ===
# $Id: Makefile 30418 2013-05-12 17:54:12Z karl $
# This file is public domain.  (Originally written by Karl Berry, 2009.)

e2p = ./epstopdf.pl #--debug
re2p = ./repstopdf --restricted
re2p_script = ./repstopdf

default: check

# These are not comprehensive tests by any means.  Mostly we're just
# making sure we don't crash.
check: check-help check-version \
       check-help-r \
       check-nogs \
       check-restricted-gscmd \
       check-filter check-filter-outfile check-write-error check-gscmd \
       check-simple check-atend check-binary check-bin2 \
       check-binhdr-lf check-binhdr-cr check-binhdr-crlf \

# needs new kpsewhich: check-restricted-safe-in check-restricted-safe-out
check-help:
	$(e2p) --help

check-version:
	$(e2p) --version

check-help-r: $(re2p_script)
	$(re2p_script) --help | grep restricted  # should have default=true

check-nogs:
	$(e2p) --no-gs test-simple.eps >test-simple.out
# the two files should be different:
	cmp -s test-simple.eps test-simple.out || exit 0
	
$(re2p_script):
	ln -s epstopdf.pl $@

check-restricted-gscmd:
	! $(re2p) --gscmd=/bin/unsafe test-simple.eps
	! $(re2p) --gscmd=unsafe test-simple.eps

check-restricted-safe-in:
	! $(re2p) /unsafe/in.eps

check-restricted-safe-out:
	! $(re2p) test-simple.eps -o /unsafe/out.eps

check-filter:
	cat test-simple.eps | $(e2p) --filter >test-filter.pdf
	pdfinfo test-filter.pdf | grep "Page size:"

check-filter-outfile:
	rm -f test-filter.pdf
	cat test-simple.eps | $(e2p) --filter --outfile=test-filter.pdf
	pdfinfo test-filter.pdf | grep "Page size:"
#
	rm -f test-filter.pdf
	cat test-simple.eps | $(e2p) --outfile=test-filter.pdf --filter
	pdfinfo test-filter.pdf | grep "Page size:"

check-write-error:
	-$(e2p) test-simple.eps --outfile=/dev/full

check-gscmd:
	-$(e2p) --gscmd=true test-simple.eps

check-simple:
	$(MAKE) file=test-simple check1

check-atend:
	$(MAKE) file=test-atend check1

check-binary:
	$(MAKE) file=test-binary check1

check-bin2:
	$(MAKE) file=test-bin2 check1

check-binhdr-lf:
	$(MAKE) file=test-binhdr-lf check1

check-binhdr-cr:
	$(MAKE) file=test-binhdr-cr check1

check-binhdr-crlf:
	$(MAKE) file=test-binhdr-crlf check1

check1:
	$(e2p) $(file).eps 
	pdfinfo $(file).pdf | grep "Page size"

dist: epstopdf.tar.gz epstopdf.html
epstopdf.tar.gz: README epstopdf.pl epstopdf.1 repstopdf.1 epstopdf.man1.pdf
	tar czf epstopdf.tar.gz $^
	# upload .tar.gz to ctan.org/upload, move .html to ~www/epstopdf.

groff = groff
groff_opts = -man -t
pdfopts = $(groff_opts)
htmlopts = $(groff_opts) -Thtml
pspdf = ps2pdf -sPAPERSIZE=a4
epstopdf.man1.pdf: epstopdf.1
	$(groff) $(pdfopts) $< | $(pspdf) - $@
epstopdf.html: epstopdf.1
	$(groff) $(htmlopts) $< >$@

=== texk/web2c/cwebdir/Makefile ===
# This file is part of CWEB.
# It is distributed WITHOUT ANY WARRANTY, express or implied.
# Version 3.64 --- February 2002

# Copyright (C) 1987,1990,1993,2000 Silvio Levy and Donald E. Knuth

# Permission is granted to make and distribute verbatim copies of this
# document provided that the copyright notice and this permission notice
# are preserved on all copies.

# Permission is granted to copy and distribute modified versions of this
# document under the conditions for verbatim copying, provided that the
# entire resulting derived work is given a different name and distributed
# under the terms of a permission notice identical to this one.

# 
# Read the README file, then edit this file to reflect local conditions
#

# directory for TeX inputs (cwebmac.tex goes here)
MACROSDIR= /usr/share/texmf/tex/generic

# directory for CWEB inputs in @i files
CWEBINPUTS= /usr/local/lib/cweb

# extension for manual pages ("l" distinguishes local from system stuff)
MANEXT= l
#MANEXT= 1

# directory for manual pages (cweb.1 goes here)
MANDIR= /usr/share/man/man$(MANEXT)

# destination directory for executables; must end in /
DESTDIR= /usr/local/bin/

# directory for GNU EMACS Lisp code (cweb.el goes here)
EMACSDIR= /usr/share/emacs/site-lisp

# Set DESTPREF to null if you want to call the executables "tangle" and "weave"
# (probably NOT a good idea; we recommend leaving DESTPREF=c)
DESTPREF=c

# Set CCHANGES to comm-foo.ch if you need changes to common.w
CCHANGES=

# Set TCHANGES to ctang-foo.ch if you need changes to ctangle.w
TCHANGES=

# Set WCHANGES to cweav-foo.ch if you need changes to cweave.w
WCHANGES=

# We keep debugging info around, for fun, but most users don't need it
CFLAGS = -g
#CFLAGS = -O
LINKFLAGS = -g
#LINKFLAGS = -s # for smaller (stripped) executables on many UNIX systems

# What C compiler are you using?
CC = cc

# RM and CP are used below in case rm and cp are aliased
RM= /bin/rm
CP= /bin/cp

# uncomment the second line if you use pdftex to bypass .dvi files
PDFTEX = dvipdfm
#PDFTEX = pdftex

##########  You shouldn't have to change anything after this point #######

CWEAVE = ./cweave
CTANGLE = ./ctangle
SOURCES = cweave.w common.w ctangle.w
ALL =  common.w ctangle.w cweave.w prod.w \
	Makefile common.c common.h ctangle.c \
	cwebman.tex cwebmac.tex comm-vms.ch ctang-vms.ch \
	cweav-vms.ch comm-man.ch ctang-man.ch cweav-man.ch \
	comm-pc.ch ctang-pc.ch cweav-pc.ch comm-amiga.ch \
        comm-bs.ch ctang-bs.ch cweav-bs.ch makefile.bs \
	comm-ql.ch ctang-ql.ch cweav-ql.ch readme.ql \
	comm-w32.ch ctang-w32.ch cweav-w32.ch \
	comm-os2.ch comm-mac.ch cweb.1 cweb.el c++lib.w README

.SUFFIXES: .dvi .tex .w .pdf

.w.tex:
	$(CWEAVE) $*

.tex.dvi:	
	tex $<

.w.dvi:
	make $*.tex
	make $*.dvi

.w.c:
	$(CTANGLE) $*

.w.o:
	make $*.c
	make $*.o

.w.pdf:
	make $*.tex
	case "$(PDFTEX)" in \
	 dvipdfm ) tex "\let\pdf+ \input $*"; dvipdfm $* ;; \
	 pdftex ) pdftex $* ;; \
	esac

all: ctangle cweave

cautiously: ctangle
	$(CP) common.c SAVEcommon.c
	./ctangle common $(CCHANGES)
	diff common.c SAVEcommon.c
	$(RM) SAVEcommon.c
	$(CP) ctangle.c SAVEctangle.c
	./ctangle ctangle $(TCHANGES)
	diff ctangle.c SAVEctangle.c
	$(RM) SAVEctangle.c

SAVEctangle.c:
	$(CP) ctangle.c SAVEctangle.c

SAVEcommon.c:
	$(CP) common.c SAVEcommon.c

common.c: common.w $(CCHANGES)
	$(CTANGLE) common $(CCHANGES)

common.o: common.c
	$(CC) $(CFLAGS) -DCWEBINPUTS=\"$(CWEBINPUTS)\" -c common.c

ctangle: ctangle.o common.o
	$(CC) $(LINKFLAGS) -o ctangle ctangle.o common.o 

ctangle.c: ctangle.w $(TCHANGES)
	$(CTANGLE) ctangle $(TCHANGES)

cweave: cweave.o common.o
	$(CC) $(LINKFLAGS) -o cweave cweave.o common.o

cweave.c: cweave.w $(WCHANGES)
	$(CTANGLE) cweave $(WCHANGES)

doc: $(SOURCES:.w=.dvi)

usermanual: cwebman.tex cwebmac.tex
	tex cwebman

fullmanual: usermanual $(SOURCES) comm-man.ch ctang-man.ch cweav-man.ch
	make cweave
	./cweave common.w comm-man.ch
	tex common.tex
	./cweave ctangle.w ctang-man.ch
	tex ctangle.tex
	./cweave cweave.w cweav-man.ch
	tex cweave.tex

# be sure to leave ctangle.c and common.c for bootstrapping
clean:
	$(RM) -f -r *~ *.o common.tex cweave.tex cweave.c ctangle.tex \
	  *.log *.dvi *.toc *.idx *.scn *.pdf core cweave ctangle

install: all
	- mkdir $(DESTDIR)
	$(CP) cweave $(DESTDIR)$(DESTPREF)weave
	chmod 755 $(DESTDIR)$(DESTPREF)weave
	$(CP) ctangle $(DESTDIR)$(DESTPREF)tangle
	chmod 755 $(DESTDIR)$(DESTPREF)tangle
	- mkdir $(MANDIR)
	$(CP) cweb.1 $(MANDIR)/cweb.$(MANEXT)
	chmod 644 $(MANDIR)/cweb.$(MANEXT)
	- mkdir $(MACROSDIR)
	$(CP) cwebmac.tex $(MACROSDIR)
	chmod 644 $(MACROSDIR)/cwebmac.tex
	- mkdir $(EMACSDIR)
	$(CP) cweb.el $(EMACSDIR)
	chmod 644 $(EMACSDIR)/cweb.el
	- mkdir $(CWEBINPUTS)
	$(CP) c++lib.w $(CWEBINPUTS)
	chmod 644 $(CWEBINPUTS)/c++lib.w

floppy: $(ALL) examples
	bar cvhf /dev/rfd0 $(ALL) examples
	bar tvf /dev/rfd0
	eject

tags: $(ALL)
	etags -lnone $(ALL)

tarfile: $(ALL) examples
	tar cvhf /tmp/cweb.tar $(ALL) examples
	gzip -9 /tmp/cweb.tar

=== utils/asymptote/tests/Makefile ===
.NOTPARALLEL:

TESTDIRS = string arith frames types imp array pic
EXTRADIRS = gsl output

test: $(TESTDIRS)

all: $(TESTDIRS) $(EXTRADIRS)

$(TESTDIRS)::
	@echo
	../asy -dir ../base $@/*.asy

$(EXTRADIRS)::
	@echo
	../asy -dir ../base $@/*.asy

clean:  FORCE
	rm -f *.eps

distclean: FORCE clean

FORCE:

=== texk/web2c/luatexdir/luasocket/src/Makefile ===

SOCKET_SO=socket.a

INSTALL_TOP_SHARE=/usr/local/share/lua/5.1
INSTALL_TOP_LIB=/usr/local/lib/lua/5.1

LUAINC = -I../../lua51

DEF = -DLUASOCKET_DEBUG 
CFLAGS = $(LUAINC) $(DEF) $(XCFLAGS)
AR=ar
ARFLAGS=rc

SOCKET_OBJS:= \
	luasocket.o \
	timeout.o \
	buffer.o \
	io.o \
	auxiliar.o \
	options.o \
	inet.o \
	tcp.o \
	udp.o \
	except.o \
	select.o \
	socket.o \
	mime.o \
    lua_preload.o

all: $(SOCKET_SO)

$(SOCKET_SO): $(SOCKET_OBJS)
	$(AR) $(ARFLAGS) $@ $(SOCKET_OBJS)

#------
# List of dependencies
#
auxiliar.o: auxiliar.c auxiliar.h
buffer.o: buffer.c buffer.h io.h timeout.h
except.o: except.c except.h
inet.o: inet.c inet.h socket.h io.h timeout.h usocket.h
io.o: io.c io.h timeout.h
luasocket.o: luasocket.c luasocket.h auxiliar.h except.h timeout.h \
  buffer.h io.h inet.h socket.h usocket.h tcp.h udp.h select.h
mime.o: mime.c mime.h
options.o: options.c auxiliar.h options.h socket.h io.h timeout.h \
  usocket.h inet.h
select.o: select.c socket.h io.h timeout.h usocket.h select.h
tcp.o: tcp.c auxiliar.h socket.h io.h timeout.h usocket.h inet.h \
  options.h tcp.h buffer.h
timeout.o: timeout.c auxiliar.h timeout.h
udp.o: udp.c auxiliar.h socket.h io.h timeout.h usocket.h inet.h \
  options.h udp.h
unix.o: unix.c auxiliar.h socket.h io.h timeout.h usocket.h options.h \
  unix.h buffer.h
usocket.o: usocket.c socket.h io.h timeout.h usocket.h

clean:
	rm -f $(SOCKET_SO) $(SOCKET_OBJS) 

#------
# End of makefile configuration
#

=== debian/changelog ===
texlive-bin (2013.20130729.30972-2build3) trusty; urgency=medium

  * Rebuild for the new poppler soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 22 Jan 2014 23:17:17 +0100

texlive-bin (2013.20130729.30972-2build2) trusty; urgency=medium

  * No change rebuild against libicu52

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 27 Dec 2013 05:35:29 +0000

texlive-bin (2013.20130729.30972-2build1) trusty; urgency=medium

  * No-change rebuild for new harfbuzz

 -- Iain Lane <iain.lane@canonical.com>  Mon, 09 Dec 2013 12:45:01 +0000

texlive-bin (2013.20130729.30972-2) unstable; urgency=low

  * fix some bugs in man pages: mf, xdvi, synctex.5, mendex, detex
    (Closes: #662846, #664961, #667981)
  * fix a bug in mendex when range ops and macros are used (Closes: #534641)
  * reinstatiate xdvi perl wrapper (Closes: #631271, #583188)
  * pull several bug fixes from upstream svn, in particular fixes for
    luatex (svn 31126, 31313, 31358), dvipdfmx (svn 31303), pdftex (svn 31313),
    dvips (svn 31350, 31547)
  * explicitely write out versioned dependencies on automake, autoconf, 
    libtool, and m4, to make sure we get successful builds

 -- Norbert Preining <preining@debian.org>  Mon, 09 Sep 2013 15:18:50 +0900

texlive-bin (2013.20130729.30972-1) unstable; urgency=low

  * update make-orig-tar to use last-changed-rev svn number for
    the last number in the version string
  * switch to system harfbuzz library (Closes: #717962)
    - remove halfbuzz library from source
    - add build dependency on libharfbuzz-dev >= 0.9.18-3
    - adjust debian/rules to build with system-harfbuzz
  * add texinfo to build-deps, somehow timestamps can get screwed
    which means that info files will be rebuild (Closes: #718251)

 -- Norbert Preining <preining@debian.org>  Tue, 30 Jul 2013 14:00:37 +0900

texlive-bin (2013.20130722.31261-1) unstable; urgency=low

  * allow for different origin in make-orig-tar
  * Imported Upstream version 2013.20130722.31261
    - fix for crash of luatex on x32 archs in certain cases
    - update metapost to 1.803
  * ship new pmpost patch for 1.803
  * bump standards version, no changes necessary

 -- Norbert Preining <preining@debian.org>  Fri, 26 Jul 2013 14:39:43 +0900

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Norbert Preining <preining@debian.org>, Frank Küster <frank@kuesterei.ch>
-Build-Depends: debhelper (>= 7.0.50~), sharutils, libncurses5-dev | libncurses-dev, libxaw7-dev, libpng-dev, zlib1g-dev | libz-dev, flex, bison, libpoppler-private-dev (>= 0.12.4), libfontconfig1-dev, dh-autoreconf, time, libgraphite2-dev, libgs-dev, libcairo2-dev (>= 1.12), libpixman-1-dev (>= 0.18), libzzip-dev (>= 0.12), libicu-dev, recode
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 7.0.50~), sharutils, libncurses5-dev | libncurses-dev, libxaw7-dev, libpng-dev, zlib1g-dev | libz-dev, flex, bison, libpoppler-private-dev (>= 0.12.4), libfontconfig1-dev, dh-autoreconf, time, libgraphite2-dev, libgs-dev, libcairo2-dev (>= 1.12), libpixman-1-dev (>= 0.18), libzzip-dev (>= 0.12), libharfbuzz-dev (>= 0.9.18-3), libicu-dev, recode, texinfo, automake (>= 1.13.1), autoconf (>= 2.69), libtool (>= 2.4.2), m4 (>= 1.4.16)
+Standards-Version: 3.9.4
 Homepage: http://www.tug.org/texlive/
 Vcs-Git: git://anonscm.debian.org/debian-tex/texlive-bin.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-tex/texlive-bin.git

=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,11 @@
 
 export SHELL=/bin/bash
 export CONFIG_SHELL=/bin/sh
-#
-# since we are reautoconf-ing with old version of auto*, we need
-# to make sure that the 1.12.3+ variables AM_V_P are defined
-export AM_V_P=false
+
+# In case one wants to build with old automake (<< 1.13.1), the following
+# variable has to be set. By default the debian/control requires high
+# enough versions of automake and friends
+#export AM_V_P=false
 
 DEB_HOST_ARCH     ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
@@ -48,6 +49,7 @@
 	--with-system-xpdf			\
 	--with-system-poppler			\
 	--with-system-graphite2			\
+	--with-system-harfbuzz 			\
 	--with-system-libgs			\
 	--with-system-cairo 			\
 	--with-system-pixman			\
@@ -82,6 +84,10 @@
 
 override_dh_install:
 	dh_install --sourcedir=$(CURDIR)/debian/tmp
+	# replace xdvi wrapper shell script with perl variant to
+	# allow for opening of gz etc files
+	rm debian/texlive-binaries/usr/bin/xdvi
+	install -m 0755 debian/xdvi-pl debian/texlive-binaries/usr/bin/xdvi
 	# remove texlive directories, they should not be shipped here
 	rm -rf debian/texlive-binaries/usr/share/texlive
 	# remove wrongly added info/dir.gz

## texlive-bin 2014.20140528.34243

=== extra/epstopdf/Makefile ===
--- 
+++ 
@@ -1,9 +1,10 @@
-# $Id: Makefile 30418 2013-05-12 17:54:12Z karl $
+# $Id: Makefile 32701 2014-01-17 18:09:54Z karl $
 # This file is public domain.  (Originally written by Karl Berry, 2009.)
 
-e2p = ./epstopdf.pl #--debug
-re2p = ./repstopdf --restricted
-re2p_script = ./repstopdf
+prg = epstopdf
+e2p = ./$(prg).pl #--debug
+re2p = ./r$(prg) --restricted
+re2p_script = ./r$(prg)
 
 default: check
 
@@ -13,9 +14,11 @@
        check-help-r \
        check-nogs \
        check-restricted-gscmd \
+       check-gscmd check-gsopt check-gsopts \
        check-filter check-filter-outfile check-write-error check-gscmd \
        check-simple check-atend check-binary check-bin2 \
        check-binhdr-lf check-binhdr-cr check-binhdr-crlf \
+       check-tn5002 #check-floral
 
 # needs new kpsewhich: check-restricted-safe-in check-restricted-safe-out
 check-help:
@@ -33,7 +36,7 @@
 	cmp -s test-simple.eps test-simple.out || exit 0
 	
 $(re2p_script):
-	ln -s epstopdf.pl $@
+	ln -s $(prg).pl $@
 
 check-restricted-gscmd:
 	! $(re2p) --gscmd=/bin/unsafe test-simple.eps
@@ -63,6 +66,15 @@
 
 check-gscmd:
 	-$(e2p) --gscmd=true test-simple.eps
+	-$(e2p) --gscmd='foo bar' test-simple.eps # fails
+
+check-gsopt:
+	-$(e2p) --gscmd=echo --gsopt=foo --gsopt=bar test-simple.eps
+	-$(e2p) --restricted --gsopt=bar test-simple.eps # fails
+
+check-gsopts:
+	-$(e2p) --gscmd=echo --gsopts='foo bar' test-simple.eps
+	-$(e2p) --restricted --gsopts=bar test-simple.eps # fails
 
 check-simple:
 	$(MAKE) file=test-simple check1
@@ -85,21 +97,39 @@
 check-binhdr-crlf:
 	$(MAKE) file=test-binhdr-crlf check1
 
+check-tn5002:
+	$(MAKE) file=test-tn5002-cr check1
+	$(MAKE) file=test-tn5002-crlf check1
+	$(MAKE) file=test-tn5002-lf check1
+
+# complicated, from http://www.vectorfloral.com/floral-swirly-flowers-with-butterflies-vector-graphic-174.html
+# another, even bigger, is at http://www.backgroundvector.com/abstract-colorful-background-vector-image-94.html
+# both are CC-BY 3.0.
+check-floral:
+	$(MAKE) file=test-floral check1
+
 check1:
 	$(e2p) $(file).eps 
 	pdfinfo $(file).pdf | grep "Page size"
 
-dist: epstopdf.tar.gz epstopdf.html
-epstopdf.tar.gz: README epstopdf.pl epstopdf.1 repstopdf.1 epstopdf.man1.pdf
-	tar czf epstopdf.tar.gz $^
-	# upload .tar.gz to ctan.org/upload, move .html to ~www/epstopdf.
+# put tar contents in a directory for CTAN.
+dist: $(prg).tar.gz $(prg).html
+.PHONY: dist
+$(prg).tar.gz: README $(prg).pl $(prg).1 r$(prg).1 $(prg).man1.pdf
+	rm -rf $(prg); mkdir $(prg)
+	cp $^ $(prg)
+	tar cvzf $(prg).tar.gz $(prg)
+	rm -rf $(prg)
+	# upload .tar.gz to ctan.org/upload, move .html to ~www/$(prg).
 
 groff = groff
 groff_opts = -man -t
-pdfopts = $(groff_opts)
-htmlopts = $(groff_opts) -Thtml
 pspdf = ps2pdf -sPAPERSIZE=a4
-epstopdf.man1.pdf: epstopdf.1
-	$(groff) $(pdfopts) $< | $(pspdf) - $@
-epstopdf.html: epstopdf.1
-	$(groff) $(htmlopts) $< >$@
+$(prg).man1.pdf: $(prg).1
+	$(groff) $(groff_opts) $< | $(pspdf) - $@
+$(prg).html: $(prg).1
+	$(groff) $(groff_opts) -Thtml $< >$@
+show-man:
+	man ./$(prg).1 | col -b
+#	$(groff) $(groff_opts) -Tascii -M. -mraggedright -P-cbouU $(prg).1
+# -P-c... avoids ANSI color sequences and backspaces in the output.

=== debian/changelog ===
texlive-bin (2014.20140528.34243-5) unstable; urgency=medium

  * s390x: switch back to use standard gcc (4.9), but build with -O1 
  * cherrypick RTL/synctex reinstantiation from upstream

 -- Norbert Preining <preining@debian.org>  Wed, 23 Jul 2014 08:19:17 +0900

texlive-bin (2014.20140528.34243-4) unstable; urgency=medium

  * include more upstream fixes for synctex shlib
  * fix FTBFS on s390x due to gcc 4.9 (Closes: #753575)

 -- Norbert Preining <preining@debian.org>  Fri, 04 Jul 2014 15:25:55 +0900

texlive-bin (2014.20140528.34243-3) unstable; urgency=medium

  [ Norbert Preining ]
  * import three patches from luatex upupstream
  * build luajittex based on whitelisting good archs
    (Closes: #751150, #752041, #752065)
  * Include upstream changes to support building synctex as shared
    library, based on a patch by Sebastian Ramacher.
  
  [ Sebastian Ramacher ]
  * Build shared library for synctex_parser. (Closes: #749924)
    - debian/control: Add packages for the shared library and development
      files.
    - debian/rules: Adopt for new binary packages.

 -- Norbert Preining <preining@debian.org>  Sun, 29 Jun 2014 12:10:53 +0900

texlive-bin (2014.20140528.34243-2) unstable; urgency=medium

  * disable building of luajittex on s390x, hppa (Closes: #749718)
  * bump depends on tex-common to 5.02 to make sure that we support
    architectures without installed luajittex

 -- Norbert Preining <preining@debian.org>  Fri, 30 May 2014 18:03:19 +0900

texlive-bin (2014.20140528.34243-1) unstable; urgency=medium

  * upload to unstable

 -- Norbert Preining <preining@debian.org>  Wed, 28 May 2014 18:11:57 +0900

texlive-bin (2014.20140522.34183-1) experimental; urgency=medium

  * bump breaks to << 2014, and also break against tex-common << 5
  * Imported Upstream version 2014.20140522.34183

 -- Norbert Preining <preining@debian.org>  Thu, 22 May 2014 11:40:15 +0900

texlive-bin (2014.20140512.33982-1) experimental; urgency=low

  * fix missing epoch for build-dep on automake (Closes: #726513)
  * libpng >= 1.4 not available in Debian or not default:
    - reinclude libpng, gd, cairo, freetype2
    - adjust build-deps
    - adjust rules file
  * update make-orig-tar for 2014: do not remove above mentioned
    libs, but remove unused/separately packaged utils
  * update patches for 2014, remove several outdated
  * build with --disable-linked-scripts, and use patching of
    Makefile.am file only for tl_scripts (texk/texlive/Makefile.am)
  * build luatex again, we drop the independent package, build 
    transitional luatex package to ease upgrade
  * bump standards version, no changes necessary
  * add build-deps: llibxp-dev, libxi-dev for new xdvi
  * don't remove X_PRE_LIBS from xdvik, otherwise linking breaks
  * add versioned dependencies on libkpathsea6 and libptexenc1, otherwise
    some binaries do not work
  * import relax-zlib-check patch from luatex package

 -- Norbert Preining <preining@debian.org>  Mon, 12 May 2014 13:19:46 +0900

=== debian/control ===
Source: texlive-bin
Section: tex
Priority: optional
Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Norbert Preining <preining@debian.org>, Frank Küster <frank@kuesterei.ch>
Build-Depends: debhelper (>= 7.0.50~), sharutils, libncurses5-dev | libncurses-dev, libxaw7-dev, zlib1g-dev | libz-dev, flex, bison, libpoppler-private-dev (>= 0.12.4), libfontconfig1-dev, dh-autoreconf, time, libgraphite2-dev, libgs-dev, libpixman-1-dev (>= 0.32.4), libzzip-dev (>= 0.12), libharfbuzz-dev (>= 0.9.18-3), libicu-dev, recode, texinfo, automake (>= 1:1.13.1), autoconf (>= 2.69), libtool (>= 2.4.2), m4 (>= 1.4.16), libpotrace-dev (>= 1.11), libxp-dev, libxi-dev, libpaper-dev
Standards-Version: 3.9.5
Homepage: http://www.tug.org/texlive/
Vcs-Git: git://anonscm.debian.org/debian-tex/texlive-bin.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-tex/texlive-bin.git

Package: texlive-binaries
Architecture: any
Depends: libptexenc1 (>= ${source:Version}), libptexenc1 (<< ${source:Version}.1~), libkpathsea6 (>= ${source:Version}), libkpathsea6 (<< ${source:Version}.1~), ${shlibs:Depends}, ${misc:Depends}, tex-common (>= 5.02), perl, dpkg (>= 1.15.4) | install-info
Recommends: texlive-base, python, ruby, wish
Replaces: texlive-metapost (<< 2010), texlive-base (<< 2010), ptex-bin, mendexk, jmpost, luatex (<< 2014)
Conflicts: mendexk, makejvf, jmpost
Breaks: texlive-base (<< 2014), jtex-bin, multex-bin, luatex (<< 2014), tex-common (<< 5)
Provides: texlive-base-bin, makejvf, mendexk, jmpost, luatex
Description: Binaries for TeX Live
 This package contains all the binaries of TeX Live packages.
 .
 Note that this package alone has hardly any functionality.  Rather,
 choose the texlive-* packages you want to use, e.g.
 texlive-latex-recommended or context

Package: libkpathsea6
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: texlive-binaries (<< 2014), texlive-base (<< 2014)
Description: TeX Live: path search library for TeX (runtime part)
 This package contains the runtime part of the Kpathsea[rch] library,
 which implements generic path searching, configuration, and
 TeX-specific file searching.

Package: libkpathsea-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libkpathsea6 (= ${binary:Version}), ${shlibs:Depends}
Description: TeX Live: path search library for TeX (development part)
 This package contains the static library and header files for the
 Kpathsea[rch] library, which implements generic path searching,
 configuration, and TeX-specific file searching.

Package: libptexenc1
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: texlive-binaries (<< 2014), texlive-base (<< 2014)
Description: TeX Live: pTeX encoding library
 library for encoding support in pTeX, a Japanese TeX engine.

Package: libptexenc-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libptexenc1 (= ${binary:Version}), ${shlibs:Depends}
Description: TeX Live: ptex encoding library (development part)
 This package contains the static library and header files for the
 ptexenc library, a library for encoding support in pTeX, a Japanese
 TeX engine.

Package: libsynctex1
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: TeX Live: SyncTeX parser library
 Library for SyncTeX parsing support.

Package: libsynctex-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libsynctex1 (= ${binary:Version})
Description: Tex Live: SyncTeX parser library (development part)
 This package contains the static library and header files for the SyncTex
 parser library.

Package: luatex
Section: oldlibs
Priority: extra
Architecture: all
Depends: texlive-binaries (>= 2014)
Description: TeX Live: transitional dummy package
 This is a transitional package for luatex to ensure proper upgrade
 to texlive-binaries. It can be safely removed after the installation
 is complete.

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,14 @@
 
 export SHELL=/bin/bash
 export CONFIG_SHELL=/bin/sh
+
+#
+# the configure code already checks a lot, but it does not catch
+# all cases. We have now two ways to test for where to build.
+# One by disabling on the other platforms, one by whitelisting
+# and building only on some platforms.
+LUAJIT_FAIL_ARCHS := s390x hppa arm64 ppc64 ppc64el x32 mips64 mips64el m68k
+LUAJIT_GOOD_ARCHS := amd64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc 
 
 # In case one wants to build with old automake (<< 1.13.1), the following
 # variable has to be set. By default the debian/control requires high
@@ -13,6 +21,28 @@
 
 ifeq ($(DEB_HOST_ARCH), alpha)
   export LDFLAGS = -Wl,--no-relax
+endif
+
+#
+# gcc-4.9 creates broken binaries on s390x, see #753575,
+# fix is to use -O1
+ifeq ($(DEB_HOST_ARCH), s390x)
+  export CFLAGS = -O1
+  export CXXFLAGS = -O1
+endif
+
+# for blacklisting bad archs
+#ifneq (,$(filter $(DEB_HOST_ARCH), $(LUAJIT_FAIL_ARCHS)))
+#  DISABLE_JIT=--disable-luajittex
+#endif
+
+# for whitelisting good archs
+ifeq (,$(filter $(DEB_HOST_ARCH), $(LUAJIT_GOOD_ARCHS)))
+  # it is not in the list of good archs -> disable luajittex
+  BUILDLUAJITTEX=--disable-luajittex
+else
+  # not necessary, but for completeness
+  BUILDLUAJITTEX=--enable-luajittex
 endif
 
 #
@@ -34,38 +64,52 @@
 override_dh_autoreconf:
 	dh_autoreconf --as-needed
 
+#
+# we need libpng >= 1.4 which is not available in unstable and
+# seems not to arrive anytime soon. We have to rebuild also
+# the following depending libs with new libpng: gd freetype2 cairo
+#	--with-system-freetype2			\
+	--with-freetype2-include=/usr/include/freetype2 \
+#	--with-system-libpng			\
+#	--with-system-gd			\
+#	--with-system-cairo 			\
+#
+
 override_dh_auto_configure:
-	dh_auto_configure -- --prefix=/usr 	\
+	# we have to make sure that the mendex test case that is added
+	# by a patch is executable
+	chmod 0755 texk/mendexk/tests/mendex.test
+	# run out configure script
+	dh_auto_configure -- -C --prefix=/usr 	\
 	--datarootdir=/usr/share/texlive	\
 	--disable-native-texlive-build		\
 	--disable-largefile			\
 	--disable-missing			\
+	--disable-linked-scripts		\
 	--with-banner-add=/Debian		\
 	--enable-shared				\
 	--with-system-zlib			\
-	--with-system-libpng			\
 	--with-system-zzlib			\
-	--with-system-freetype2			\
 	--with-system-xpdf			\
 	--with-system-poppler			\
+	--with-system-potrace			\
 	--with-system-graphite2			\
 	--with-system-harfbuzz 			\
 	--with-system-libgs			\
-	--with-system-cairo 			\
 	--with-system-pixman			\
+	--with-system-libpaper			\
 	--with-system-zziplib			\
 	--with-system-icu			\
-	--with-freetype2-include=/usr/include/freetype2 \
 	--with-x				\
 	--with-mf-x-toolkit			\
 	--with-xdvi-x-toolkit=xaw		\
+	$(BUILDLUAJITTEX)			\
 	--disable-lcdf-typetools		\
 	--disable-biber				\
 	--disable-dvipng			\
 	--disable-musixflx			\
 	--disable-ps2eps			\
 	--disable-psutils			\
-	--disable-luatex			\
 	--disable-t1utils			\
 	--disable-cjkutils			\
 	--disable-chktex			\
@@ -92,10 +136,11 @@
 	rm -rf debian/texlive-binaries/usr/share/texlive
 	# remove wrongly added info/dir.gz
 	rm -f debian/texlive-binaries/usr/share/info/dir*
+	# remove tlbuild info document, not needed
+	rm debian/texlive-binaries/usr/share/info/tlbuild.info*
 	rm debian/texlive-binaries/usr/share/man/man1/latex.1*
 	rm debian/texlive-binaries/usr/share/man/man1/pdflatex.1*
 	rm debian/texlive-binaries/usr/share/man/man1/lamed.1*
-	rm debian/texlive-binaries/usr/share/man/man1/eplain.1*
 	rm debian/texlive-binaries/usr/share/man/man1/amstex.1*
 	# fix EUCJ encoding of mendex.1
 	recode EUC-JP..UTF8 debian/texlive-binaries/usr/share/man/man1/mendex.1
@@ -111,9 +156,12 @@
 	dh_installdocs -plibptexenc1 -plibptexenc-dev \
 		texk/ptexenc/COPYRIGHT texk/ptexenc/README
 	dh_installdocs -plibkpathsea6 -plibkpathsea-dev \
-		texk/kpathsea/AUTHORS texk/kpathsea/BUGS \
+		texk/kpathsea/AUTHORS \
 		texk/kpathsea/NEWS texk/kpathsea/PROJECTS \
 		texk/kpathsea/README
+	dh_installdocs -plibsynctex1 -plibsynctex-dev \
+		texk/web2c/synctexdir/README.txt	\
+		texk/web2c/synctexdir/synctex_parser_readme.txt
 
 override_dh_installchangelogs:
 	dh_installchangelogs
@@ -121,6 +169,8 @@
 		texk/kpathsea/ChangeLog
 	dh_installchangelogs -plibptexenc1 -plibptexenc-dev \
 		texk/ptexenc/ChangeLog
+	dh_installchangelogs -plibsynctex1 -plibsynctex-dev \
+		texk/web2c/synctexdir/ChangeLog
 
 override_dh_compress:
 	dh_compress -X.pdf
@@ -128,11 +178,13 @@
 override_dh_makeshlibs:
 	dh_makeshlibs -plibkpathsea6
 	dh_makeshlibs -plibptexenc1
+	dh_makeshlibs -plibsynctex1
 
 override_dh_shlibdeps:
 	dh_shlibdeps \
 		-l debian/libkpathsea6/usr/lib \
-		-l debian/libptexenc1/usr/lib
+		-l debian/libptexenc1/usr/lib \
+		-l debian/libsynctex1/usr/lib
 
 override_dh_clean:
 	dh_clean -X.orig
